image: maven

stages:
  - build
  - deploy

build-api:
  stage: build
  only:
    - development
  except:
    - tags
  script:
    - mvn -f Avtolavka clean package -Dmaven.test.skip=true
    - mkdir -p api-module/target
    - cp Avtolavka/application/api/Dockerfile api-module
    - cp Avtolavka/application/api/target/*.jar api-module/target
  artifacts:
    paths:
      - api-module/
    expire_in: 30 days
  
deploy-api:
  image: docker:19.03-git
  stage: deploy
  only:
    - development
  except:
    - tags
  services:
    - docker:19.03-dind
  script:
    - echo "delpoy script started..."
    - cd api-module
    - docker login registry.gitlab.com -u anitaTkachenko -p glpat-Asdfghjkl1234!
    - docker info
    - docker build -t registry.gitlab.com/anitatkachenko/avto-image.
    - docker push registry.gitlab.com/anitatkachenko/avto-image
    